<template>
  <div class="#home">
    <menu-list :modelNum.sync="modelNum" @handlerouterName="handlerouterName"></menu-list>
    <router-view />
  </div>
</template>

<script>
import menuList from "@/components/menuList.vue";

export default {
  props: [],
  data() {
    return {
      modelNum: 0,
      // shebeisheshiShow: false,
      routerName: "aa",
      imgSrcNum: 1,
      tanchuanShow: false
    };
  },
  computed: {},
  created() {},
  mounted() {},
  watch: {
    // tanchuanShow(newVal) {
    //   console.log(newVal)
    // }
  },
  methods: {
    handlerouterName(val) {
      // console.log(val);
      this.routerName = val;
      if (val == "device") {
        this.modelNum = 3;
      } else if (val == "floor") {
        this.modelNum = 2;
      }
    }
  },
  components: {
    menuList
  }
};
</script>

<style scoped lang="less">
#home {
  width: 100%;
  height: 100%;
  position: relative;
}
</style>
